:root {
    --sat: env(safe-area-inset-top, 0px);
    --sab: env(safe-area-inset-bottom, 0px);
    --sal: env(safe-area-inset-left, 0px);
    --sar: env(safe-area-inset-right, 0px);
}
.safe-area-around {
    padding-top: var(--sat);
    padding-bottom: var(--sab);
    padding-left: var(--sal);
    padding-right: var(--sar);
}

[data-theme=light] {
    --pico-background-color: #fefffb !important;
}

html {
    background-color: hsla(0, 0, 0, 0);
    background-image: radial-gradient(circle at 0% 0%, hsla(256, 81%, 77%, 0.03) 3.1210986267166043%, transparent 40%), radial-gradient(circle at 20% 0%, hsla(197, 77%, 74%, 0.07) 3.1210986267166043%, transparent 40%), radial-gradient(circle at 40% 0%, hsla(147, 34%, 59%, 0.18) 3.1210986267166043%, transparent 40%), radial-gradient(circle at 60% 0%, hsla(87, 48%, 64%, 0.2) 3.1210986267166043%, transparent 40%), radial-gradient(circle at 80% 0%, hsla(22, 77%, 74%, 0.1) 3.1210986267166043%, transparent 40%), radial-gradient(circle at 100% 0%, hsla(234, 100%, 50%, 0.01) 7%, transparent 40%), radial-gradient(circle at 47.92666452539299% 78.22512856012658%, hsla(87, 91%, 23%, 0.19) 11%, transparent 82%);
    background-blend-mode: normal, normal, normal, normal, normal, normal, normal;
}
body {
    min-height: 100dvh;
}
body > [data-lvt-id] {
    min-height: 100dvh;
}
footer {
    position: sticky;
    top: 100dvh;
}

dialog>article {
    max-height: calc(100dvh - var(--pico-spacing) * 5);
}
dialog {
    overscroll-behavior: contain;
}

.centered-content > *:not(hr) {
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    width: -webkit-fit-content;
}
.center-aligned-title {
    text-align: center;
    align-content: center;
}
.right-aligned-title {
    text-align: right;
}

.no-warp {
    white-space: nowrap;
}
.reset-margin-top {
    margin-top: var(--pico-spacing) !important;
}
.no-margin-bottom {
    margin-top: 0 !important;
}
.no-margin-bottom {
    margin-bottom: 0 !important;
}
.no-margin {
    margin: 0 !important;
}
.no-padding-top {
    padding-top: 0 !important;
}
.no-padding-right {
    padding-right: 0 !important;
}
.no-padding-bottom {
    padding-bottom: 0 !important;
}
.no-padding {
    padding: 0 !important;
}
.no-border-bottom {
    border-bottom: 0 !important;
}
.align-content-bottom {
    align-content: end;
}

.content-block {
    box-shadow: 0 0 0 1rem var(--pico-background-color);
    background-color: var(--pico-background-color);
}
.content-bottom-round {
    border-radius: 0 0 var(--pico-border-radius) var(--pico-border-radius);
    margin-bottom: calc(3.5 * var(--pico-spacing));
}
.content-head-round {
    border-radius: var(--pico-border-radius) var(--pico-border-radius) 0 0;
    margin-top: calc(3.5 * var(--pico-spacing));
}
.content-all-round {
    border-radius: var(--pico-border-radius) var(--pico-border-radius) var(--pico-border-radius) var(--pico-border-radius);
    margin-top: calc(3.5 * var(--pico-spacing));
    margin-bottom: calc(3.5 * var(--pico-spacing));
}

.important-text {
    font-size: 12px !important;
}
